Uptimeify Docs
MonitorsSsh monitors

Get SSH Monitor

Returns details of a specific SSH monitor.

GET /api/ssh-monitors/:sshMonitorPublicId

Authentication

Requires a valid session.

  • Header: Authorization: Bearer <token>

Parameters

  • sshMonitorPublicId (Path, required): SSH monitor public UUID.

cURL

curl "https://YOUR_DOMAIN/api/ssh-monitors/44444444-4444-4444-8444-444444444444" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "id": 300,
  "organizationId": 1,
  "customerId": 10,
  "name": "Bastion Host",
  "hostname": "ssh.example.com",
  "port": 22,
  "status": "active",
  "checkInterval": 60,
  "timeoutSeconds": 30,
  "customerName": "Example Customer",
  "notificationEmail": null,
  "notificationPhoneNumber": null,
  "lastCheckedAt": "2026-02-26T12:00:00.000Z",
  "createdAt": "2026-02-26T12:00:00.000Z",
  "updatedAt": "2026-02-26T12:00:00.000Z",
  "config": {
    "username": "root"
  },
  "sshConfig": {
    "username": "root"
  }
}

Errors

  • 400 SSH monitor public ID (UUID) required
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found

On this page